Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.genericinsurability.protocol.v1
Class GetInsurabilityResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.ResponseType
          be.fgov.ehealth.genericinsurability.protocol.v1.GetInsurabilityResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:01:01+01:00",
               comments="JAXB RI v2.2.11")
    public class GetInsurabilityResponse

extends ResponseType
implements Serializable

Java class for GetInsurabilityResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetInsurabilityResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence>
             <element name="CommonOutput" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}CommonOutputType"/>
             <element name="RecordCommonOutput" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}RecordCommonOutputType"/>
             <element name="Response" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}SingleInsurabilityResponseType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetInsurabilityResponse()`

Method Summary
`CommonOutputType` | `getCommonOutput()` Gets the value of the commonOutput property.
`RecordCommonOutputType` | `getRecordCommonOutput()` Gets the value of the recordCommonOutput property.
`SingleInsurabilityResponseType` | `getResponse()` Gets the value of the response property.
`void` | `setCommonOutput(CommonOutputType value)` Sets the value of the commonOutput property.
`void` | `setRecordCommonOutput(RecordCommonOutputType value)` Sets the value of the recordCommonOutput property.
`void` | `setResponse(SingleInsurabilityResponseType value)` Sets the value of the response property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetInsurabilityResponse

    public GetInsurabilityResponse()

Method Detail

### getCommonOutput

    public CommonOutputType getCommonOutput()

  Gets the value of the commonOutput property.

  Returns:
    possible object is `CommonOutputType`

### setCommonOutput

    public void setCommonOutput(CommonOutputType value)

  Sets the value of the commonOutput property.

  Parameters:
    `value` - allowed object is `CommonOutputType`

### getRecordCommonOutput

    public RecordCommonOutputType getRecordCommonOutput()

  Gets the value of the recordCommonOutput property.

  Returns:
    possible object is `RecordCommonOutputType`

### setRecordCommonOutput

    public void setRecordCommonOutput(RecordCommonOutputType value)

  Sets the value of the recordCommonOutput property.

  Parameters:
    `value` - allowed object is `RecordCommonOutputType`

### getResponse

    public SingleInsurabilityResponseType getResponse()

  Gets the value of the response property.

  Returns:
    possible object is `SingleInsurabilityResponseType`

### setResponse

    public void setResponse(SingleInsurabilityResponseType value)

  Sets the value of the response property.

  Parameters:
    `value` - allowed object is `SingleInsurabilityResponseType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.